Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3._2000._09.xmldsig
Class SPKIData

    java.lang.Object
      org.w3._2000._09.xmldsig.SPKIData

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-09-16T05:05:56+02:00",
               comments="JAXB RI v2.3.6")
    public class SPKIData

extends Object
implements Serializable

Java class for SPKIDataType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SPKIDataType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence maxOccurs="unbounded">
             <element name="SPKISexp" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <any processContents='lax' namespace='##other' minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`SPKIData()`

Method Summary
`List<Object>` | `getSPKISexpsAndAnies()` Gets the value of the spkiSexpsAndAnies property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SPKIData

    public SPKIData()

Method Detail

### getSPKISexpsAndAnies

    public List<Object> getSPKISexpsAndAnies()

  Gets the value of the spkiSexpsAndAnies property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the spkiSexpsAndAnies property.

  For example, to add a new item, do as follows:

          getSPKISexpsAndAnies().add(newItem);

  Objects of the following type(s) are allowed in the list `JAXBElement``<``byte[]``>` `Element`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.29.0 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.